.file {
	border: 1px solid #444;
	border-radius: 4px;
	padding: 8px;
	margin: 5px;
	background-color: #E9FCFF;
	text-decoration-line: none;
	display: block;
}
.file:focus, .file:hover {
	background-color: var(--blue-highlight-color);
}

.file-size {
	float: right;
}

.filetype::before {
	content: "";
	background-image: url("../images/application-octet-stream.svg");
	display: inline-block;
	height: 24pt;
	width: 24pt;
	vertical-align: middle;
	background-size: contain;
	background-repeat: no-repeat;
}
.filetype.asc::before {
	background-image: url("../images/application-pgp-signature.svg");
}
.filetype.jpg::before {
	background-image: url("../images/image-jpeg.svg");
}
.filetype.pdf::before {
	background-image: url("../images/application-pdf.svg");
}
.filetype.png::before {
	background-image: url("../images/image-png.svg");
}
.filetype.tex::before {
	background-image: url("../images/text-x-tex.svg");
}
.filetype.txt::before {
	background-image: url("../images/text-x-plain.svg");
}
.filetype.zip::before {
	background-image: url("../images/application-zip.svg");
}
